# Generated from can_camel-0.3.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name can_camel

Name: rubygem-%{gem_name}
Version: 0.3.1
Release: 1%{?dist}
Summary: CanCamel is a cancan style access controll library
License: WTFPL
URL: https://github.com/JelF/can_camel
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby > 2.1
BuildArch: noarch

%description
CanCamel allows to manage access levels with all the power of cancan style
(saving semantics). It means, that you can use `can?` method anywhere you want
to check privileges of a selected user to access something in some way. See
readme file at https://github.com/JelF/can_camel/blob/master/README.md to
learn more.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile

%changelog
* Mon Sep 13 2021 mockbuilder - 0.3.1-1
- Initial package
